ranges::actions::sort_fn Struct Reference

## Synopsis of methods

constexpr action_closure< sort_fn > | sort {}

## Public Member Functions

template<typename C , typename P = identity>
constexpr auto | operator() (C pred, P proj={}) const requires(!range< C >)
template<typename Rng , typename C = less, typename P = identity>
auto | operator() (Rng &&rng, C pred={}, P proj={}) const -> Rng requires forward_range< Rng > &&sortable< iterator_t< Rng >, C, P >

## Methods

## sort

constexpr action_closure<sort_fn> sort {}

related

See also
  action_closure